PLplot: qsastime_extra.h File Reference

PLplot 5.15.0

Functions
qsastime_extra.h File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "qsastimeP.h"`

Go to the source code of this file.

## Functions
QSASTIMEDLLIMPEXP void | setFromDOY (int year, int doy, int hour, int min, double sec, MJDtime *MJD, int forceJulian)
QSASTIMEDLLIMPEXP void | setFromBCE (int yearBCE, int month, int day, int hour, int min, double sec, MJDtime *MJD, int forceJulian)
QSASTIMEDLLIMPEXP void | setFromMJD (double ModifiedJulianDate, MJDtime *MJD)
QSASTIMEDLLIMPEXP void | setFromCDFepoch (double cdfepoch, MJDtime *MJD)
QSASTIMEDLLIMPEXP void | setFromJD (double JulianDate, MJDtime *MJD)
QSASTIMEDLLIMPEXP int | setFromISOstring (const char *ISOstring, MJDtime *MJD, int forceJulian)
QSASTIMEDLLIMPEXP double | getMJD (MJDtime *MJD)
QSASTIMEDLLIMPEXP double | getJD (MJDtime *MJD)
QSASTIMEDLLIMPEXP double | getDiffDays (MJDtime *MJD1, MJDtime *MJD2)
QSASTIMEDLLIMPEXP double | getDiffSecs (MJDtime *MJD1, MJDtime *MJD2)
QSASTIMEDLLIMPEXP double | getCDFepoch (MJDtime *MJD)
QSASTIMEDLLIMPEXP const char * | getISOString (MJDtime *MJD, int delim, int forceJulian)

## Function Documentation

## ◆ getCDFepoch()

QSASTIMEDLLIMPEXP double getCDFepoch | ( | MJDtime * | MJD | ) |

Definition at line 186 of file qsastime_extra.c.

## ◆ getDiffDays()

QSASTIMEDLLIMPEXP double getDiffDays | ( | MJDtime * | MJD1,
|  | MJDtime * | MJD2
| ) |  |

Definition at line 209 of file qsastime_extra.c.

## ◆ getDiffSecs()

QSASTIMEDLLIMPEXP double getDiffSecs | ( | MJDtime * | MJD1,
|  | MJDtime * | MJD2
| ) |  |

Definition at line 216 of file qsastime_extra.c.

## ◆ getISOString()

QSASTIMEDLLIMPEXP const char* getISOString | ( | MJDtime * | MJD,
|  | int | delim,
|  | int | forceJulian
| ) |  |

Definition at line 223 of file qsastime_extra.c.

## ◆ getJD()

QSASTIMEDLLIMPEXP double getJD | ( | MJDtime * | MJD | ) |

Definition at line 202 of file qsastime_extra.c.

## ◆ getMJD()

QSASTIMEDLLIMPEXP double getMJD | ( | MJDtime * | MJD | ) |

Definition at line 196 of file qsastime_extra.c.

## ◆ setFromBCE()

QSASTIMEDLLIMPEXP void setFromBCE | ( | int | yearBCE,
|  | int | month,
|  | int | day,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 150 of file qsastime_extra.c.

## ◆ setFromCDFepoch()

QSASTIMEDLLIMPEXP void setFromCDFepoch | ( | double | cdfepoch,
|  | MJDtime * | MJD
| ) |  |

Definition at line 174 of file qsastime_extra.c.

## ◆ setFromDOY()

QSASTIMEDLLIMPEXP void setFromDOY | ( | int | year,
|  | int | doy,
|  | int | hour,
|  | int | min,
|  | double | sec,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 91 of file qsastime_extra.c.

## ◆ setFromISOstring()

QSASTIMEDLLIMPEXP int setFromISOstring | ( | const char * | ISOstring,
|  | MJDtime * | MJD,
|  | int | forceJulian
| ) |  |

Definition at line 46 of file qsastime_extra.c.

## ◆ setFromJD()

QSASTIMEDLLIMPEXP void setFromJD | ( | double | JulianDate,
|  | MJDtime * | MJD
| ) |  |

Definition at line 165 of file qsastime_extra.c.

## ◆ setFromMJD()

QSASTIMEDLLIMPEXP void setFromMJD | ( | double | ModifiedJulianDate,
|  | MJDtime * | MJD
| ) |  |

Definition at line 158 of file qsastime_extra.c.